# Uses of Interface
com.sun.source.doctree.StartElementTree

Packages that use StartElementTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of StartElementTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type StartElementTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitStartElement(StartElementTree node, P p)`
Visits a `StartElementTree` node.

## Uses of StartElementTree in com.sun.source.util

Methods in com.sun.source.util that return StartElementTree
Modifier and Type
Method
Description
`StartElementTree`
DocTreeFactory.`newStartElementTree(Name name, List<? extends DocTree> attrs, boolean selfClosing)`
Creates a new `StartElementTree` object, to represent the start of an HTML element.
Methods in com.sun.source.util with parameters of type StartElementTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitStartElement(StartElementTree node, P p)`
Visits a `StartElementTree` node.
`R`
SimpleDocTreeVisitor.`visitStartElement(StartElementTree node, P p)`
Visits a `StartElementTree` node.